import request from '@/utils/request'

// 查询APP意见反馈列表
export function listFeedback(query) {
  return request({
    url: '/mapi/app/feedback/list',
    method: 'get',
    params: query
  })
}

// 查询APP意见反馈详细
export function getFeedback(id) {
  return request({
    url: '/mapi/app/feedback/' + id,
    method: 'get'
  })
}

// 新增APP意见反馈
export function addFeedback(data) {
  return request({
    url: '/mapi/app/feedback',
    method: 'post',
    data: data
  })
}

// 修改APP意见反馈
export function updateFeedback(data) {
  return request({
    url: '/mapi/app/feedback',
    method: 'put',
    data: data
  })
}

// 删除APP意见反馈
export function delFeedback(id) {
  return request({
    url: '/mapi/app/feedback/' + id,
    method: 'delete'
  })
}


// 修改APP意见反馈状态
export function updateFeedbackStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/app/feedback/updateStatus',
    method: 'post',
    data: data
  })
}
